From 154485f21bd5e826646874c5febc6c4fea68a1b8 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Sat, 23 Dec 2023 14:25:26 +0100
Subject: [PATCH v1 3/5] pg_stat_statements: Add coverage for
 pg_stat_statements_reset_1_7

Run pg_stat_statements_reset() once while the appropriate extension
version is installed.
---
 .../pg_stat_statements/expected/oldextversions.out   | 12 ++++++++++++
 contrib/pg_stat_statements/sql/oldextversions.sql    |  2 ++
 2 files changed, 14 insertions(+)

diff --git a/contrib/pg_stat_statements/expected/oldextversions.out b/contrib/pg_stat_statements/expected/oldextversions.out
index f3a90cac0a..5842c930e5 100644
--- a/contrib/pg_stat_statements/expected/oldextversions.out
+++ b/contrib/pg_stat_statements/expected/oldextversions.out
@@ -52,6 +52,12 @@ SELECT pg_get_functiondef('pg_stat_statements_reset'::regproc);
  
 (1 row)
 
+SELECT pg_stat_statements_reset();
+ pg_stat_statements_reset 
+--------------------------
+ 
+(1 row)
+
 \d pg_stat_statements
                     View "public.pg_stat_statements"
        Column        |       Type       | Collation | Nullable | Default 
@@ -330,4 +336,10 @@ SELECT pg_get_functiondef('pg_stat_statements_reset'::regproc);
  
 (1 row)
 
+SELECT pg_stat_statements_reset() IS NOT NULL AS t;
+ t 
+---
+ t
+(1 row)
+
 DROP EXTENSION pg_stat_statements;
diff --git a/contrib/pg_stat_statements/sql/oldextversions.sql b/contrib/pg_stat_statements/sql/oldextversions.sql
index 5cf515f6b0..38d5505d0d 100644
--- a/contrib/pg_stat_statements/sql/oldextversions.sql
+++ b/contrib/pg_stat_statements/sql/oldextversions.sql
@@ -28,6 +28,7 @@ CREATE EXTENSION pg_stat_statements WITH VERSION '1.4';
 SELECT pg_stat_statements_reset();
 RESET SESSION AUTHORIZATION;
 SELECT pg_get_functiondef('pg_stat_statements_reset'::regproc);
+SELECT pg_stat_statements_reset();
 \d pg_stat_statements
 SELECT count(*) > 0 AS has_data FROM pg_stat_statements;
 
@@ -55,5 +56,6 @@ CREATE EXTENSION pg_stat_statements WITH VERSION '1.4';
 SELECT count(*) > 0 AS has_data FROM pg_stat_statements;
 -- New parameter minmax_only of pg_stat_statements_reset function
 SELECT pg_get_functiondef('pg_stat_statements_reset'::regproc);
+SELECT pg_stat_statements_reset() IS NOT NULL AS t;
 
 DROP EXTENSION pg_stat_statements;
-- 
2.43.0

